# a script to generate the two maps in report that correspond to figure 1




# coordinates for four sites
site_gps_coords <-
    data.frame(
        long = c(16.084, 16.146, 18.180, 17.493),
        lat  = c(59.543, 59.510, 59.565, 60.063),
        site = c("Hälleskogsbrännan", "Ecopark Öjesjön", "Knutby", "Skyttorp")
    )

# country border data
big_map_data <- map_data(
    database = "world",
    regions = c(
        "norway",
        "sweden",
        "denmark",
        "finland",
        "germany",
        "poland",
        "estonia",
        "lithuania",
        "latvia",
        "belarus",
        "netherlands",
        "czech republic",
        "russia",
        "ukraine"
    )
)

zoomed_map_data <- map_data(
    database = "world",
    regions = c(
        "norway",
        "sweden",
        "denmark",
        "finland",
        "germany",
        "poland",
        "estonia",
        "lithuania",
        "latvia"
    )
)

# map of Sweden with sites
big_map <-
    ggplot(data = big_map_data, aes(x = long, y = lat)) +
    geom_polygon(aes(group = group), fill = "lightgrey", col = "black") +
    geom_point(
        data = site_gps_coords,
        aes(x = long, y = lat),
        col = "#CC3300",
        pch = 20,
        cex = 1.5
    ) +
    coord_fixed(ratio = 2,
                xlim = c(4.5, 27),
                ylim = c(53, 70)) +
    theme(
        axis.text = element_blank(),
        axis.title  = element_blank(),
        axis.ticks = element_blank(),
        panel.background = element_blank(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        axis.line = element_line(colour = "black"),
        panel.border = element_rect(
            colour = "black",
            fill = NA,
            size = 1
        )
    )



# zoomed in to sites
zoomed_map <-
    ggplot(data = zoomed_map_data, aes(x = long, y = lat)) +
    geom_polygon(aes(group = group), fill = "lightgrey", col = "black") +
    geom_point(
        data = site_gps_coords,
        aes(x = long, y = lat),
        col = "#CC3300",
        pch = c(17, 17, 2, 2),
        cex = 2.5
    ) +
    geom_text(
        data = site_gps_coords,
        aes(x = long, y = lat, label = site),
        nudge_y = c(0.075, -0.06, 0.065, 0.065),
        size = 5
    ) +
    coord_fixed(ratio = 2,
                xlim = c(15.5, 19.5),
                ylim = c(59, 60.5)) +
    theme(
        axis.text = element_blank(),
        axis.title  = element_blank(),
        axis.ticks = element_blank(),
        panel.background = element_blank(),
        panel.grid.major = element_blank(),
        panel.grid.minor = element_blank(),
        axis.line = element_line(colour = "black"),
        panel.border = element_rect(
            colour = "black",
            fill = NA,
            size = 1
        )
    )
